<?php

// Admin web routes  for incidentpkg
Route::group(['prefix' => trans_setlocale().'/admin/incidentpkg'], function () {
    Route::resource('incidentpkg', 'Assetdocs\Incidentpkg\Http\Controllers\IncidentpkgAdminController');
});

// Admin API routes  for incidentpkg
Route::group(['prefix' => trans_setlocale().'api/v1/admin/incidentpkg'], function () {
    Route::resource('incidentpkg', 'Assetdocs\Incidentpkg\Http\Controllers\IncidentpkgAdminApiController');
});

// User web routes for incidentpkg
Route::group(['prefix' => trans_setlocale().'/user/incidentpkgs'], function () {
    Route::resource('/', 'Assetdocs\Incidentpkg\Http\Controllers\IncidentpkgUserController');
});

// User API routes for incidentpkg
Route::group(['prefix' => trans_setlocale().'api/v1/user/incidentpkgs'], function () {
    Route::resource('/', 'Assetdocs\Incidentpkg\Http\Controllers\IncidentpkgUserApiController');
});

// Public web routes for incidentpkg
Route::group(['prefix' => trans_setlocale().'/incidentpkgs'], function () {
    Route::get('/', 'Assetdocs\Incidentpkg\Http\Controllers\IncidentpkgController@index');
    Route::get('/{slug?}', 'Assetdocs\Incidentpkg\Http\Controllers\IncidentpkgController@show');
});

// Public API routes for incidentpkg
Route::group(['prefix' => trans_setlocale().'api/v1/incidentpkgs'], function () {
    Route::get('/', 'Assetdocs\Incidentpkg\Http\Controllers\IncidentpkgApiController@index');
    Route::get('/{slug?}', 'Assetdocs\Incidentpkg\Http\Controllers\IncidentpkgApiController@show');
});

